Subject: Re: follow-up: discrepancy with POSIX

From: Ulrich Drepper <[email-masked]>
Date: Wed, 19 Sep 2007 11:02:00 -0700

Andi Kleen wrote:
> Spec doesn't match traditional behaviour then.

Well, determining whether that's the case is part of this exercise.

> IPv4 0.0.0.0 is 
> traditionally an synonym for old style all broadcast (255.255.255.255) 
> on UDP/RAW and it's certainly possible to connect() to that. 

Where do you get this from?  And where is this implemented?  I don't
doubt it but I have to convince people to change the standard and
possibly introduce incompatibility.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖